修正エラー:PHPインストールに、WordPressで必要なMySQL拡張が欠けているようです

PHPのインストールに、WordPressで必要なMySQL拡張が欠けているようです「多くのブログやウェブサイトの所有者が遭遇したエラーです WordPress.
これは心配する必要はありません。 MySQL拡張機能の欠如 PHPからは、PHPの拡張機能がインストールパッケージの一部ではない、ゼロからインストールされたオペレーティングシステム、VPS、または専用サーバーの典型的なものです。 この問題は両方に存在します UbuntuのCentOSの。 このシナリオでは、PHPの更新とモジュールのインストールにより、問題は非常に簡単に解決されます。PHP-mysql"。
UbuntuにPHPを更新してMySQL拡張機能をインストールする

apt-get update
apt-get install php-mysql

PHPを更新し、CentOSにMySQL拡張機能をインストールします

yum update
yum install php70w-mysql

このステップの後、 Apacheサービスを再起動します または nginxの.

また、MySQL拡張機能がPHPに存在するにもかかわらず、WordPressで作成されたブログに「WordPressに必要なMySQL拡張機能がインストールされていないようです」というエラーが表示されるシナリオもありました。 ほとんどの場合、WordPressのインストール時にエラーが発生します。 しかし今回、彼は数年間活動していたブログに登場しました。
この状況では、問題はPHPモジュールではなく、WordPressの非常に古いバージョンであり、PHP 7.4.4RC1との互換性がなくなっていることがわかりました。 WordPressを最新バージョンにアップグレードするだけでエラーが解決しました。

修正エラー:PHPインストールに、WordPressで必要なMySQL拡張が欠けているようです

著者について

ステルス

ガジェットとITを意味するすべてのことに情熱を傾けています。2006からstealthsettings.comに書き込み、コンピューターとmacOS、Linuxオペレーティングシステム、 Windows、iOSおよびAndroid。

コメント